org.apache.cassandra.dht

## Class Token.TokenFactory

- java.lang.Object
- - org.apache.cassandra.dht.Token.TokenFactory

Enclosing class:
  Token

    public abstract static class Token.TokenFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TokenFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Token` `fromByteArray(java.nio.ByteBuffer bytes)`
`abstract Token` `fromString(java.lang.String string)`
`abstract java.nio.ByteBuffer` `toByteArray(Token token)`
`abstract java.lang.String` `toString(Token token)`
`abstract void` `validate(java.lang.String token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenFactory

    public TokenFactory()

### Method Detail

#### toByteArray

    public abstract java.nio.ByteBuffer toByteArray(Token token)

#### fromByteArray

    public abstract Token fromByteArray(java.nio.ByteBuffer bytes)

#### toString

    public abstract java.lang.String toString(Token token)

#### fromString

    public abstract Token fromString(java.lang.String string)

#### validate

    public abstract void validate(java.lang.String token)
                           throws ConfigurationException

Throws:
  `ConfigurationException`